> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/admin/users/

> Get list of users



## OpenAPI

````yaml POST /api/admin/users/
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/users/:
    post:
      tags:
        - Users
      description: Get list of users
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cursor:
                  type: string
                segmentFilter:
                  type: array
                  items:
                    type: string
                limit:
                  type: number
                direction:
                  anyOf:
                    - type: string
                      enum:
                        - after
                    - type: string
                      enum:
                        - before
                userIds:
                  type: array
                  items:
                    description: >-
                      Unique identifier for the user. Should be the id of the
                      user in your system. Only applicable to logged in users.
                    type: string
                    example: '1043'
                subscriptionGroupFilter:
                  type: array
                  items:
                    type: string
                userPropertyFilter:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      values:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - values
                workspaceId:
                  type: string
                includeSubscriptions:
                  type: boolean
                sortBy:
                  type: string
                sortOrder:
                  anyOf:
                    - type: string
                      enum:
                        - asc
                    - type: string
                      enum:
                        - desc
                exclusiveCursor:
                  type: boolean
              required:
                - workspaceId
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        properties:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              name:
                                type: string
                              value: {}
                            required:
                              - name
                              - value
                        segments:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                            required:
                              - id
                              - name
                        subscriptions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              subscribed:
                                type: boolean
                            required:
                              - id
                              - name
                              - subscribed
                      required:
                        - id
                        - properties
                        - segments
                  previousCursor:
                    type: string
                  nextCursor:
                    type: string
                  userCount:
                    type: number
                    enum:
                      - 0
                required:
                  - users
                  - userCount
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message

````